import Vue from 'vue'
import '@/utils/vant.js'
import App from './App.vue'
import router from './router'
import store from './store'

import VueCookie from 'vue-cookie'
import vuescroll from 'vuescroll'
import VueClipboard from 'vue-clipboard2'

import '@/router/route_hooks' // 全局路由钩子
import '@/assets/styles/public.less' // 全局样式
import '@/utils/DeviceId' // 生成浏览器唯一标识
import '@/utils/gtag' // 谷歌统计
import '@/filters' // 全局格式化 filters
import '@/utils/Reporter' // sentry

Vue.use(VueCookie)
Vue.use(vuescroll)
Vue.use(VueClipboard)

Vue.config.productionTip = false
new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app')
